> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Verified Model

> Create a new verified model.



## OpenAPI

````yaml /openapi/openhands-cloud.json post /api/admin/verified-models
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/verified-models:
    post:
      tags:
        - Verified Models
      summary: Create Verified Model
      description: Create a new verified model.
      operationId: create_verified_model_api_admin_verified_models_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifiedModelCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifiedModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    VerifiedModelCreate:
      properties:
        model_name:
          type: string
          maxLength: 255
          title: Model Name
        provider:
          type: string
          maxLength: 100
          title: Provider
        is_enabled:
          type: boolean
          title: Is Enabled
          default: true
      type: object
      required:
        - model_name
        - provider
      title: VerifiedModelCreate
    VerifiedModel:
      properties:
        model_name:
          type: string
          maxLength: 255
          title: Model Name
        provider:
          type: string
          maxLength: 100
          title: Provider
        is_enabled:
          type: boolean
          title: Is Enabled
          default: true
        id:
          type: integer
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - model_name
        - provider
        - id
        - created_at
        - updated_at
      title: VerifiedModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````